Page MenuHomeFreeBSD

Add a Qt5 option to multimedia/mlt
ClosedPublic

Authored by tcberner on Aug 7 2016, 7:48 PM.

Details

Summary

multimedia/mlt has a Qt4 option specifically to support multimedia/kdenlive.
Future versions of kdenlive are Qt5 based. Prepare for this by also enabling
the Qt5 library being built.

Convert the QT4 option into a radio-option "QT=QT4 QT5", the latter being
prevented by the "KDE4" option.

Test Plan

Tested in poudriere (and a similar version has been used in the test repo).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 19106.Aug 7 2016, 7:48 PM
tcberner retitled this revision from to Add a Qt5 option to multimedia/mlt.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: mat, avilla.
mat added inline comments.Aug 7 2016, 8:23 PM
multimedia/mlt/Makefile
75–76 ↗(On Diff #19106)

I don't think that is needed, KDE4 implies QT4, so if you select KDE4 and QT5, QT4 will also be selected, and you will get a conflict because RADIO is 0 or 1, but not 2.

tcberner updated this revision to Diff 19182.Aug 10 2016, 5:24 PM

Get rid of KDE4_PREVENTS* it is not needed.

tcberner marked an inline comment as done.Aug 10 2016, 5:25 PM
tcberner added inline comments.
multimedia/mlt/Makefile
75–76 ↗(On Diff #19106)

done

mat accepted this revision.Aug 11 2016, 3:13 PM
mat edited edge metadata.

Macro shipit:

This revision is now accepted and ready to land.Aug 11 2016, 3:13 PM
This revision was automatically updated to reflect the committed changes.
tcberner marked an inline comment as done.